Bug 151027 - hwbrowser fails to detect the integrated nvidia ethernet controller as a NIC
hwbrowser fails to detect the integrated nvidia ethernet controller as a NIC
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-14 02:48 EST by Alessandro Polverini
Modified: 2015-01-04 17:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:00:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alessandro Polverini 2005-03-14 02:48:01 EST
Description of problem:
Not a real problem, but hwbrowser shows the "nVidia Corporation CK804 Ethernet
Controller" on the "System devices" page instead of the "Network devices" page
that should be more correct.

Version-Release number of selected component (if applicable):
hwbrowser-0.20-0.fc3.1

This is the output of lspci:
00:00.0 Memory controller: nVidia Corporation CK804 Memory Controller (rev a3)
00:01.0 ISA bridge: nVidia Corporation: Unknown device 0050 (rev a3)
00:01.1 SMBus: nVidia Corporation CK804 SMBus (rev a2)
00:02.0 USB Controller: nVidia Corporation CK804 USB Controller (rev a2)
00:02.1 USB Controller: nVidia Corporation CK804 USB Controller (rev a3)
00:04.0 Multimedia audio controller: nVidia Corporation CK804 AC'97 Audio
Controller (rev a2)
00:06.0 IDE interface: nVidia Corporation CK804 IDE (rev a2)
00:07.0 IDE interface: nVidia Corporation CK804 Serial ATA Controller (rev a3)
00:08.0 IDE interface: nVidia Corporation CK804 Serial ATA Controller (rev a3)
00:09.0 PCI bridge: nVidia Corporation CK804 PCI Bridge (rev a2)
00:0a.0 Bridge: nVidia Corporation CK804 Ethernet Controller (rev a3)
00:0b.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0c.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0d.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0e.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
01:00.0 VGA compatible controller: ATI Technologies Inc RV380 0x3e50 [Radeon X600]
01:00.1 Display controller: ATI Technologies Inc: Unknown device 3e70
05:06.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
05:07.0 Communication controller: Tiger Jet Network Inc. Tiger3XX Modem/ISDN
interface
05:08.0 Communication controller: Tiger Jet Network Inc. Tiger3XX Modem/ISDN
interface
05:0c.0 Ethernet controller: Marvell Technology Group Ltd. Yukon Gigabit
Ethernet 10/100/1000Base-T Adapter (rev 13)

And this is lspci -n:
00:00.0 Class 0580: 10de:005e (rev a3)
00:01.0 Class 0601: 10de:0050 (rev a3)
00:01.1 Class 0c05: 10de:0052 (rev a2)
00:02.0 Class 0c03: 10de:005a (rev a2)
00:02.1 Class 0c03: 10de:005b (rev a3)
00:04.0 Class 0401: 10de:0059 (rev a2)
00:06.0 Class 0101: 10de:0053 (rev a2)
00:07.0 Class 0101: 10de:0054 (rev a3)
00:08.0 Class 0101: 10de:0055 (rev a3)
00:09.0 Class 0604: 10de:005c (rev a2)
00:0a.0 Class 0680: 10de:0057 (rev a3)
00:0b.0 Class 0604: 10de:005d (rev a3)
00:0c.0 Class 0604: 10de:005d (rev a3)
00:0d.0 Class 0604: 10de:005d (rev a3)
00:0e.0 Class 0604: 10de:005d (rev a3)
00:18.0 Class 0600: 1022:1100
00:18.1 Class 0600: 1022:1101
00:18.2 Class 0600: 1022:1102
00:18.3 Class 0600: 1022:1103
01:00.0 Class 0300: 1002:3e50
01:00.1 Class 0380: 1002:3e70
05:06.0 Class 0200: 10ec:8139 (rev 10)
05:07.0 Class 0780: e159:0001
05:08.0 Class 0780: e159:0001
05:0c.0 Class 0200: 11ab:4320 (rev 13)

My m/b has an nVidia nForce4 PCI Express chipset.
Comment 1 Nils Philippsen 2005-03-14 03:17:48 EST
As you see from the lspci output, it marks your Ethernet controller as "Bridge"
instead of "Ethernet controller". I guess this classification is made in hwdata,
reassigning component.
Comment 2 Dave Jones 2005-07-15 16:22:30 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Dave Jones 2005-10-02 21:00:16 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.